Subject: bug#50237: 28.0.50; [calc] Default terminal when plotting in gnuplot without x11 support

From: Ihor Radchenko <[email-masked]>
Date: Tue, 31 Aug 2021 20:50:02 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> OK; I've now pushed a fix for this to Emacs 28 which seems to work in my
> simulated test case.  Can you update Emacs and see whether it works for
> you, too?

Thanks! I cannot reproduce my recipe anymore on master. The dumb
terminal is correctly used.

However, I am not sure if your fix is going to work on gnuplot ver. <3.
calc-graph-plot has the following lines:

((>= calc-gnuplot-version 3)
		     "dumb")

In theory, if someone is still using such an antique gnuplot version and
also compiled it without x11 support, "dumb" terminal may not be a good
fallback. It is very unlikely though.

Best,
Ihor